EXTEND_BOTTOM CBGORCLD 15
IF ~~ THEN REPLY ~Father, please no speeches. I'm fairly certain my life is going to be difficult enough. Could we just skip the lectures and chorse and go straight to the highlights?~ GOTO FastFwd1
END

EXTEND_BOTTOM CBGORCLD 37
IF ~~ THEN REPLY ~Father, please no speeches. I'm fairly certain my life is going to be difficult enough. Could we just skip the lectures and chorse and go straight to the highlights?~ GOTO FastFwd1
END

EXTEND_BOTTOM CBGORCLD 52
IF ~~ THEN REPLY ~Father, please no speeches. I'm fairly certain my life is going to be difficult enough. Could we just skip the lectures and chorse and go straight to the highlights?~ GOTO FastFwd1
END

EXTEND_BOTTOM CBGORCLD 56
IF ~~ THEN REPLY ~Father, please no speeches. I'm fairly certain my life is going to be difficult enough. Could we just skip the lectures and chorse and go straight to the highlights?~ GOTO FastFwd1
END

EXTEND_BOTTOM CBGORCLD 71
IF ~~ THEN REPLY ~Father, please no speeches. I'm fairly certain my life is going to be difficult enough. Could we just skip the lectures and chorse and go straight to the highlights?~ GOTO FastFwd1
END

APPEND CBGorCld
IF ~~ THEN BEGIN FastFwd1
SAY ~My <PRO_SONDAUGHTER> how dare you! Chores and lectures build character that will be valuable in your future... Ah, to hell with it~
IF ~~ THEN REPLY ~*Whew*~GOTO FastFwd2
END

IF ~~ THEN BEGIN FastFwd2
SAY ~Do you want to know how to cast Dispel Magic, or Protection from Evil?~
  IF ~~ THEN REPLY ~Dispel Magic.~DO ~AddXPObject(Player1,1000)
ActionOverride(Player1,AddSpecialAbility("SPIN112"))
~ GOTO FastFwd3
  IF ~~ THEN REPLY ~Protection from Evil.~DO ~AddXPObject(Player1,1000)
ActionOverride(Player1,AddSpecialAbility("SPIN121"))
~ GOTO FastFwd3
END

IF ~~ THEN BEGIN FastFwd3
SAY ~Do you want the skill Hardiness or Tracking?~
  IF ~~ THEN REPLY ~Hardiness~DO ~AddXPObject(Player1,1000)
ActionOverride(Player1,AddSpecialAbility("SPCL907"))
~ GOTO FastFwd4
  IF ~~ THEN REPLY ~Tracking~DO ~AddXPObject(Player1,1000)
ActionOverride(Player1,AddSpecialAbility("SPCL922"))
~ GOTO FastFwd4
END

IF ~~ THEN BEGIN FastFwd4
SAY ~Do you want the skill of Alchemy or ScribeScrolls?~
  IF ~~ THEN REPLY ~Alchemy~DO ~AddXPObject(Player1,1000)
ForceSpellRES("CBTETTCH",Player1)
~ GOTO FastFwd5
  IF ~~ THEN REPLY ~ScribeScrolls~DO ~AddXPObject(Player1,1000)
ForceSpellRES("CBPHYTCH",Player1)
~ GOTO FastFwd5
END

IF ~~ THEN BEGIN FastFwd5
SAY ~Do you want the skill of Defensive Spin or Offensive Spin?~
  IF ~~ THEN REPLY ~Defensive Spin~DO ~AddXPObject(Player1,1000)
ActionOverride(Player1,AddSpecialAbility("SPCL522"))
~ GOTO FastFwd6
  IF ~~ THEN REPLY ~Offensive Spin~DO ~AddXPObject(Player1,1000)
ActionOverride(Player1,AddSpecialAbility("SPCL521"))
~ GOTO FastFwd6
END

IF ~~ THEN BEGIN FastFwd6
SAY ~Do you want the Boon of Lathander?~
  IF ~~ THEN REPLY ~Yes.~DO ~SetGlobal("CbPlayerBlessedByLathander","GLOBAL",1)
  AddXPObject(Player1,1000)
  ActionOverride(Player1,AddSpecialAbility("spcl741"))
~ GOTO FastFwd7
  IF ~~ THEN REPLY ~No.~DO ~AddXPObject(Player1,1000)
~ GOTO FastFwd7
END

IF ~~ THEN BEGIN FastFwd7
SAY ~Done then. Time then to end your childhood reminices.~
IF ~~ THEN DO ~SetGlobal("CbGorionTeachesLesson","GLOBAL",6)~ EXIT
END
END